#!/usr/bin/sh
# © Copyright [2018 - 2020] Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates and licensors
# (“Micro Focus”) are as may be set forth in the express warranty statements accompanying such
# products and services. Nothing herein should be construed as constituting an additional
# warranty. Micro Focus shall not be liable for technical or editorial errors or omissions
# contained herein. The information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential information
# and a valid license is required for possession, use or copying. If this work is provided to the
# U.S. Government, consistent with FAR 12.211 and 12.212, Commercial Computer Software,
# Computer Software Documentation, and Technical Data for Commercial Items are licensed
# to the U.S. Government under vendor's standard commercial license.

update_cislinks(){
        prefix_path=$1
        echo $1

        # Check with the new path exists
        if [ -f $prefix_path ]; then
                echo "The new path not available $prefix_path" >&2
                exit -1
        fi

        # Create the links
        ln -fsn $prefix_path/etc/opt/novell/cis /etc/opt/novell/cis
        ln -fsn $prefix_path/var/opt/novell/log/cis /var/opt/novell/log/cis
        exit 0
}

usage(){
    echo "Incorrect usage: $0 [cis] new-path" >&2
    echo "Example: $0 cis /media/nss/cisconfig" >&2
    exit -1
}

# Validate inputs
if [ $# != 2 ]; then
    usage
fi

case "$1" in
    cis)
        update_cislinks $2
        ;;
    *)
        usage
        ;;
esac
